InterNiche’s ColdFire TCP/IP Stack on MCF52233

cancel
Showing results for 
Search instead for 
Did you mean: 

InterNiche’s ColdFire TCP/IP Stack on MCF52233

331 Views
Contributor I

Hi,
To retrofit old boards, I have to start a new project with a MCF52233.

Is possible to use "InterNiche’s ColdFire TCP/IP Stack"? Which CodeWarrior version I have to use?


I try with CodeWarrior Special Edition Classic, present on Freescale site:

http://cache.freescale.com/lgfiles/devsuites/HC08/CW_MCU_V6_3_SE.exe?WT_TYPE=IDE%20-%20Debug,%20Comp...

but apparentely this version is too old to compile this stack.

Labels (1)
6 Replies

12 Views
Contributor I

5 years after still using your sofware.

Thanks Marc, you are a code beast.

It's a pitty that the MCF52259 don't evolve ....

Narcís Nadal

0 Kudos

12 Views
Senior Contributor I

Hi Mark,

A couple of years ago I modified Coldfire Lite to compile on Codewarrior 7.2.2 and included some bug fixes at the same time.

You can find my version in attachment. 5223x and 5225x only :smileyhappy:

Regards - Marc

12 Views
Senior Contributor I

I'm not sure where the attachment went, but here's a direct link...

https://dl.dropboxusercontent.com/u/92749876/Forums/7.2%20REG_ABI%2020110524.zip

12 Views
Contributor III

You need CodeWarrior 7.0, to be able to compile and use it. CodeWarrior 7.1 might work, but I'm not sure since I haven't tested it. I know for a fact 7.2 and later won't work though.

0 Kudos

12 Views
Contributor I

Hi dyspn,

thanx for your reply.

Now, the problem is where to find this release.
From freescale website I able to buy/evaluate only 7.2 version.

If I buy/evaluate 7.2 licence, can I downgrade to 7.0 and work whit it?

0 Kudos

12 Views
Specialist I

You should be able to buy a new copy of InterNiche's stack that works on the current versions of CW.

Small and Portable TCP/IP Protocol Stack Source Code for Embedded Devices: InterNiche Technologies

If the budget won't stretch to that, but will pay you to spend a lot of time modifying code, then read TN268, which details how to convert pre-7.1 projects to 7.2 and after. They changed the ABI (which registers pass parameters and so forth). This really only affects code with assembly source code files.

http://cache.freescale.com/files/soft_dev_tools/doc/app_note/TN268.pdf

Also type "TN268" into the Search Box and read up about what others have done when handed this problem.

> CodeWarrior Special Edition Classic

You know that's code-size limited to 128k? Will your project fit? You could even use MCF52230/1/2 (128k) parts with that limitation.

Tom

0 Kudos